Installer - Bug #33956

serve assets directly via Apache, not via Puma/Rails
11/19/2021 08:29 AM - Evgeni Golov

Status: Closed
Priority: Normal
Assignee: Evgeni Golov
Category: Foreman modules
Target version:
Difficulty: Fixed in Releases: 3.5.0
Triaged: Yes Found in Releases:  3.1.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/1078,
https://github.com/theforeman/puppet-kat
ello_devel/pull/285,
https://github.com/theforeman/puppet-for
eman/pull/1085,
https://github.com/theforeman/puppet-for
eman/pull/1101
Description

Right now, we don't special-case our assets folders in Apache, which results in these requests hitting Rails instead of being served
directly by Apache (which should be 1000000x faster).

Ewoud said this is because it was tried to be implemented when we switched from Passenger to Puma, but Katello assets were
broken afterwards, details in https://projects.theforeman.org/issues/35409

Subtasks:

Bug # 35402: Allow apache to read /var/lib/foreman/public Closed
Bug # 35403: Disable public_file_server in production Closed
Bug # 35409: make sprockets-based plugin assets reachable from within /var/lib/foreman/... Closed

Related issues:

Related to Packaging - Bug #35997: Legacy rex form is missing options for fut... Closed

Related to Katello - Bug #37133: /katello/sync_management tries to use /asset... New

Associated revisions

Revision 215db653 - 08/26/2022 02:02 PM - Evgeni Golov

Fixes #33956 - serve static assets directly via Apache

Revision dc9ea4c0 - 09/09/2022 11:35 AM - Evgeni Golov

Refs #33956 - make it easier to toggle asset proxying

History

#1 - 08/22/2022 10:28 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/puppet-foreman/pull/1078 added

#2 - 08/23/2022 07:02 AM - Evgeni Golov

- Description updated

#3 - 08/26/2022 09:38 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman/pull/1080 added
https://projects.theforeman.org/issues/35409

#4 - 08/26/2022 09:39 AM - Evgeni Golov
- Pull request deleted (https://github.com/theforeman/puppet-foreman/pull/1080)

#5 - 08/26/2022 02:02 PM - The Foreman Bot
- Fixed in Releases 3.5.0 added

#6 - 08/26/2022 03:01 PM - Evgeni Golov
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|215db6539dbfdbd2896946537f1e520fac7f63ba.

#7 - 08/26/2022 03:25 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman/pull/1080 added

#8 - 08/26/2022 04:38 PM - Evgeni Golov
- Pull request deleted (https://github.com/theforeman/puppet-foreman/pull/1080)

#9 - 09/09/2022 07:46 AM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-katello_devel/pull/285 added

#10 - 09/09/2022 10:13 AM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman/pull/1085 added

#11 - 11/28/2022 01:52 PM - Ewoud Kohl van Wijngaarden
- Triaged changed from No to Yes

#12 - 12/07/2022 10:02 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman/pull/1101 added

#13 - 01/25/2023 03:04 PM - Evgeni Golov

- Related to Bug #35997: Legacy rex form is missing options for future or recurring execution added

#14 - 02/01/2024 08:11 AM - Evgeni Golov

- Related to Bug #37133: /katello/sync_management tries to use /assets/spinner.gif but that's 404 added
